complexType "FxFixing"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | quotedCurrencyPair, fixingDate?, fxSpotRateSource?
</...>

Content Model Elements (3):

  fixingDate (in fixing), fxSpotRateSource (in fixing), | quotedCurrencyPair (in fixing)

All Direct / Indirect Based Elements (1):

  fixing

Known Usage Locations

- As direct type of elements (1):
  fixing

Annotation
A type that specifies the source for and timing of a fixing of an exchange rate. This is used in the agreement of non-deliverable forward trades as well as various types of FX OTC options that require observations against a particular rate.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxFixing"> <xsd:sequence> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="fixingDate" type="xsd:date"/> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
fixingDate

  Type: | xsd:date, predefined, simple content

  Describes the specific date when a non-deliverable forward or cash-settled option will "fix" against a particular rate, which will be used to compute the ultimate cash settlement. This element should be omitted where a single, discrete fixing date cannot be identified e.g. on an american option, where fixing may occur at any date on a continuous range.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixingDate" type="xsd:date"/>

fxSpotRateSource

  Type: | FxSpotRateSource, complex content

  Specifies the methodology (reference source and, optionally, fixing time) to be used for determining a currency conversion rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.